<div class="container">
  <mat-icon>{{ icon }}</mat-icon>
  <div class="text">{{ caption | translate }}</div>
  <button
    mat-flat-button
    color="primary"
    (click)="buttonClick.emit()"
    id="logout-button"
  >
    {{ buttonCaption | translate }}
  </button>
</div>
